/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.exceptionhandler.bean;

import java.io.Serializable;


/**
 * 例外情報クラス
 *
 */
public class ExceptionData implements Serializable {
    
    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = 4324809675456508596L;

    /**
     * クラス名
     */
    private String className = null;

    /**
     * エラータイプ
     */
    private String errorType = null;
    
    /**
     * エラーコード
     */
    private String errorCode = null;

    /**
     * ビューフラグ
     */
    private boolean view = false;

    /**
     * エラータイプを取得する。
     * @return エラータイプ
     */
    public String getErrorType() {
        return errorType;
    }

    /**
     * エラータイプを設定する。
     * @param errorType エラータイプ
     */
    public void setErrorType(String errorType) {
        this.errorType = errorType;
    }

    /**
     * クラス名を取得する。
     * @return クラス名
     */
    public String getClassName() {
        return className;
    }

    /**
     * クラス名を設定する。
     * @param className クラス名
     */
    public void setClassName(String className) {
        this.className = className;
    }

    /**
     * エラーコードを取得する。
     * @return エラーコード
     */
    public String getErrorCode() {
        return errorCode;
    }

    /**
     * エラーコードを設定する。
     * @param errorCode エラーコード
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    /**
     * ビューフラグを取得する。
     * @return ビューフラグ
     */
    public boolean getView() {
        return view;
    }

    /**
     * ビューフラグを設定する。
     * @param view ビューフラグ
     */
    public void setView(boolean view) {
        this.view = view;
    }

}
